import request from '@/utils/request'

// 经销商入库管理
export function getMiddlesStockInStocks (parameter) {
  return request({
    url: '/middles/stock/in_stocks',
    method: 'get',
    params: parameter
  })
}

// 分公司出库管理
export function getMiddlesStockOutStocks (parameter) {
  return request({
    url: '/middles/stock/out_stocks',
    method: 'get',
    params: parameter
  })
}

// 分公司入库管理
export function getMiddlesAgentStockInStocks (parameter) {
  return request({
    url: '/middles/stock/agent/in_stocks',
    method: 'get',
    params: parameter
  })
}

// 经销商出库管理
export function getMiddlesAgentStockOutStocks (parameter) {
  return request({
    url: '/middles/stock/agent/out_stocks',
    method: 'get',
    params: parameter
  })
}

// 城市体验官
export function getMiddlesExperience (parameter) {
  return request({
    url: '/middles/experience',
    method: 'get',
    params: parameter
  })
}

// 城市体验官前置
export function getMiddlesExperienceBefore () {
  return request({
    url: '/middles/experience/before',
    method: 'get'
  })
}

// 线上零售订单
export function getMiddlesOrderRetail (parameter) {
  return request({
    url: '/middles/order/retail',
    method: 'get',
    params: parameter
  })
}
// 线上进货订单
export function getMiddlesOrderIdentity (parameter) {
  return request({
    url: '/middles/order/identity',
    method: 'get',
    params: parameter
  })
}

// 订单详情
export function getMiddlesOrderDetail (id) {
  return request({
    url: `/middles/order/${id}`,
    method: 'get'
  })
}

// 线下出货订单
export function getMiddlesStockOffline (parameter) {
  return request({
    url: '/middles/stock/offline',
    method: 'get',
    params: parameter
  })
}

// 线下搜索前置
export function getMiddlesStockOfflineInit () {
  return request({
    url: 'middles/stock/offline/before',
    method: 'get'
  })
}

// 创建线下出货订单
export function createMiddlesStockOffline (parameter) {
  return request({
    url: 'middles/stock/offline',
    method: 'post',
    params: parameter
  })
}
